6.0.0-git
2019-03-24

[#13006] sync with davdroid eliminates changes at email and phone fields made on the phone
Summary sync with davdroid eliminates changes at email and phone fields made on the phone
Queue Turba
Queue Version FRAMEWORK_5_1
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester github (at) kryger (dot) de
Created 2014-02-28 (1850 days ago)
Due
Updated 2014-06-25 (1733 days ago)
Assigned 2014-03-03 (1847 days ago)
Resolved 2014-03-10 (1840 days ago)
Milestone
Patch No

History
2014-06-25 12:18:18 Martin (dot) Hartisch (at) hartisch (dot) net Comment #11 Reply to this comment
in addition: With some tests I found out, that the problem only 
emerges, if there is a +49 (the counrty digits) in any phone number 
field.

[Show Quoted Text - 26 lines]
2014-06-25 11:20:59 Martin (dot) Hartisch (at) hartisch (dot) net Comment #10 Reply to this comment
For me in Version 4.1.4 of Turba that Problem isn't fixed. I use a 
Samsung Smartphone with davdroid and if i change fields in the phone 
that changes do not sync with horde. After the sync the changes are 
eliminated.

[Show Quoted Text - 20 lines]
2014-03-10 12:17:41 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2014-03-10 12:15:57 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_1):

commit d7c0a946f69a1a32dfd4fd4c8b86fcd1751199bc
Author: Jan Schneider <jan@horde.org>
Date:   Mon Mar 10 13:06:53 2014 +0100

     [jan] Fix importing vCard fields with lowercase TYPE attributes 
(Bug #13006).

     Conflicts:
             turba/docs/CHANGES
             turba/lib/Driver.php
             turba/package.xml

  turba/docs/CHANGES   |    1 +
  turba/lib/Driver.php |    6 ++++++
  turba/package.xml    |    2 ++
  3 files changed, 9 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/d7c0a946f69a1a32dfd4fd4c8b86fcd1751199bc
2014-03-10 12:07:13 Git Commit Comment #8 Reply to this comment
Changes have been made in Git (master):

commit ea9828a693fd19741ff8cbd44def9d89468d430f
Author: Jan Schneider <jan@horde.org>
Date:   Mon Mar 10 13:06:53 2014 +0100

     [jan] Fix importing vCard fields with lowercase TYPE attributes 
(Bug #13006).

  turba/docs/CHANGES   |    1 +
  turba/lib/Driver.php |    9 ++++++++-
  turba/package.xml    |    2 ++
  3 files changed, 11 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/ea9828a693fd19741ff8cbd44def9d89468d430f
2014-03-10 10:54:20 github (at) kryger (dot) de Comment #7 Reply to this comment
Sorry for the dealy. I'm just a hride user and I have to forward your 
questions to the admins every time.
Do you see any errors in any log files (Horde, web server, PHP)?
We synced again with a more verbose loglevel but found nothing in it. 
Shall we try again with debugging activated?
What I actually meant was whether you have the cellPhone attribute 
mapped in your address book.
No mapping at all was configured, there's just the original   
"attributes.php". Where and how would this mapping be defined?

Does mapping depend on direction? -- When I create an account in horde 
and sync to the phone, "TEL;TYPE=CELL,VOICE:" is transmitted correctly 
to the phone. If the contact was created on the phone, 
"TEL;TYPE=cell:" is ignored by horde. Or is the "voice"-attribute 
missing? But there is nothing about "voice" in "attributes.php".
2014-03-04 10:26:48 Jan Schneider Comment #6 Reply to this comment
Is the phone number stored in Turba?
No, isn't.
Do you see any errors in any log files (Horde, web server, PHP)?
Do you have a cellPhone
attribute defined in Turba?
The file "turba/config/attributes.php" is untouched since 
installation, containnig the lines, that I've attached to this comment
What I actually meant was whether you have the cellPhone attribute 
mapped in your address book.
2014-03-04 10:16:11 github (at) kryger (dot) de Comment #5
New Attachment: cellphone_attribute Download
Reply to this comment
Is the phone number stored in Turba?
No, isn't.
Do you have a cellPhone attribute defined in Turba?
The file "turba/config/attributes.php" is untouched since 
installation, containnig the lines, that I've attached to this comment

2014-03-04 08:44:40 nexus_network23 (at) web (dot) de Comment #4 Reply to this comment
I forget to say the Test User2 exist in TURBA, but withaout phone, 
cellphone, email attribute data. and it is shown on the mobile phone, 
but without attribut data.
2014-03-04 08:41:57 nexus_network23 (at) web (dot) de Comment #3 Reply to this comment
Hello,

i have the same issue.
I have a complete self installed and configured horde groupware.
When i create a test contact with name, surename, e-mail, phone and 
cellphone (mapped to phone2 in db) and then sync with davdroid to my 
mobile phone everything wents good and the contact is shown completely 
on the phone.

Problem 1:
Then i delete or change the phone number and sync again. After this 
the original phone number is back on the mobile phone. Same issue with 
other fields.

Problem 2:
Create new Test User2 on mobile phone. After sync the user is delete 
in the mobile phone.

Link to report on davdroid: https://github.com/rfc2822/davdroid/issues/176

Thanks for help
2014-03-03 09:23:11 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Is the phone number stored in Turba? Do you have a cellPhone attribute 
defined in Turba?
2014-02-28 18:54:52 github (at) kryger (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ sync with davdroid eliminates changes at email and phone fields made on the phone
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
New Attachment: DAVdroid_short.log Download
Reply to this comment
After creating (or editing) a phone number of a contact on the 
smartphone, the changes are deleted after syncing with horde 
groupware. Likewise hapens to e-mail data.

I provide a log file of a sync process. You can see, that all data 
first is transmitted to the horde server correctly, but near the end 
of sync the updated resource is missing the phone number.

Saved Queries